output.h File Reference

Provides a common interface for human-readable text output. More...

`#include <sstream>`
`#include <string>`
`#include <type_traits>`
`#include "regina-core.h"`

## Classes

struct | regina::Output< T, supportsUtf8 >
| A common base class for objects that write human-readable text output. More...
struct | regina::ShortOutput< T, supportsUtf8 >
| A common base class for objects that provide short text output only. More...
struct | regina::OutputBase< T >
| Provides a typedef to help identify where in the class hierarchy the output functions T::str() and T::detail() are implemented. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

template<class T , bool supportsUtf8>
std::ostream & | regina::operator<< (std::ostream &out, const Output< T, supportsUtf8 > &object)
| Writes the short text representation of the given object to the given output stream. More...

## Detailed Description

Provides a common interface for human-readable text output.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).